<template>
    <v-flex xs5 sm4 md3>
        <v-card>
            <v-img v-on:mouseover="hover = true" v-on:mouseleave="hover = false" class="mx-auto" :src="urlImage(movie)"
                   height="300px">
                <v-expand-transition>
                    <div v-if="hover" class="d-flex transition-fast-in-fast-out white v-card--reveal text--primary"
                         style="height: 100%;">
                        <v-layout row wrap>
                            <v-flex md12><h4>{{movie.director.name}}</h4></v-flex>
                            <v-flex md12><h5>{{movie.year}} - <span class="font-italic">{{movie.gender}}</span></h5>
                            </v-flex>
                            <v-flex md12>
                                <div class="font-italic text-md-justify pa-2">{{movie.synopsys}}</div>
                            </v-flex>
                        </v-layout>
                    </div>
                </v-expand-transition>
            </v-img>
            <v-card-text class="pt-4" style="position: relative;">
                <v-rating v-if="hover" v-model="movie.rating"
                          background-color="primary lighten-3" color="primary" dense readonly></v-rating>
                <v-btn absolute top fab small dark icon style="right:70px" v-on:click="supprimer(movie)" color="error">
                    <v-icon>delete</v-icon>
                </v-btn>
                <v-btn absolute right top fab small dark icon v-on:click="editer(movie)" color="check">
                    <v-icon>edit</v-icon>
                </v-btn>
                <div class="font-weight-light grey--text title mb-2">{{movie.title}}</div>
            </v-card-text>
        </v-card>
    </v-flex>
</template>
<script>
    export default {
        name: 'movieitem',
        props: ['movie'],
        data() {
            return {
                hover: false,
                suppression: false,
                edition: false
            }
        },
        methods: {
            supprimer(movie) {
                this.suppression = true;
                this.$emit('remove', movie._id)
            },
            editer(movie) {
                this.edition = true;
                this.$emit('edit', movie._id)
            },
            urlImage(movie) {
                if (!movie.imageAuto) {
                    return './../static/' + movie._id + '.png'
                } else {
                    return movie.imageAuto
                }
            }
        }
    }
</script>
<style scoped>
    .v-card--reveal {
        align-items: center;
        bottom: 0;
        justify-content: center;
        opacity: .8;
        position: absolute;
        width: 100%;
    }

    .v-rating {
        top:-15px;
        position: absolute;
    }

    @media all and (max-width: 820px) {
        .v-rating {
            top: -60px;
        }
    }
</style>

